
.button-transparent{
  color: #FFF;
  background-color:transparent;
  border-color: #888; 
  text-align: center;
}

.button-transparent:focus { background-color:transparent; }
.button-transparent:visited { background-color:white; }

.top-header{
  position: fixed;
  top:20px;
  width: 100%;
  height: fit-content;
  background: transparent;
  }

.header-content{
  padding: 10px;
  float: right;
}

.main{
  position: relative;
  top:40px;
  margin-left:20%;
  margin-right:20%;
  height: 100%;
}

.topbanner {
  position:fixed;
  background-color: #DDEEEE; 
  margin-top: 0%;
  margin-left: 0%;
  opacity: 20%;
  height: 50px;
  width: 100%;
}

.toptext {
  margin: auto;
  margin-top: 5px;
  color: white;
  height: 40px;
  width: 100%;
}

.right-aligned {
  position:fixed;
  margin-top: 5px;
  margin-left: 90%;
  margin-right: 5%;
}

.overlay {
  background-color: rgb(205, 233, 240);
  margin-top: 5%;
  opacity: 90%;
  z-index: 100;
  padding: 10px;
  border-radius: 25px;
}

.center {
  display: block;
  margin-left: auto;
  margin-right: auto;
}




.chkbox_btnstyle{
  display: inline-block;
  height: 38px;
  width: 150px;
  padding: 0 5px;
  color: #bbb;
  text-align: center;
  font-size: 11px;
  font-weight: 600;
  line-height: 38px;
  letter-spacing: .1rem;
  text-transform: uppercase;
  text-decoration: none;
  white-space: nowrap;
  background-color: transparent;
  border-radius: 4px;
  border: 1px solid #bbb;
  cursor: pointer;
  box-sizing: border-box; 
}

#checkboxes input[type=checkbox]{
  display: none;
}

#checkboxes input[type=checkbox]:checked + .chkbox_btnstyle{
  background-color: #bbb;
  color: black;
}


.white-text {
  color: white;
}

.explanation {
  background-color:grey;
  opacity: 80%;
  position: fixed;
  color: white;
  top: 20%;
  left: 20px;
  width: 20%;
  border-radius: 25px;
  padding: 15px;
}

.card {
  position: relative;
  transition: all .5s ease-in;
}

.card__image {
  display: block;
  width: 100%;
  height: auto;
  padding: 10px;
  border-radius: 25px;
}

.card__overlay {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 20%;
  width: 20%;
  opacity: 0;
  visibility: none;
  transition: .5s ease;
  background-color: #393839;
}


.ol {
  position: relative;
  height: auto;
  width: 100%;
  background-color: #bbb;
  opacity: 90%;
  z-index: 100;
  padding: 10px;
  border-radius: 25px;
}




.loader {
  position: absolute;
  width: 400px;
  height: 4000px;
  max-width: 600px;
  max-height: 600px;

  display: block;
  top: calc( 30% - ( 400px / 2) ); /* where ... is the element's height */
  right: calc( 60% - ( 400px / 2) ); /* where ... is the element's width */

  border-radius: 50%;
  perspective: 800px;
}



.inner {
  position: absolute;
  box-sizing: border-box;
  width: 100%;
  height: 100%;
  border-radius: 50%;  
}

.inner.one {
  left: 0%;
  top: 0%;
  animation: rotate-one 1s linear infinite;
  border-bottom: 3px solid #EFEFFA;
}

.inner.two {
  right: 0%;
  top: 0%;
  animation: rotate-two 1s linear infinite;
  border-right: 3px solid #EFEFFA;
}

.inner.three {
  right: 0%;
  bottom: 0%;
  animation: rotate-three 1s linear infinite;
  border-top: 3px solid #EFEFFA;
}

@keyframes rotate-one {
  0% {
    transform: rotateX(35deg) rotateY(-45deg) rotateZ(0deg);
  }
  100% {
    transform: rotateX(35deg) rotateY(-45deg) rotateZ(360deg);
  }
}

@keyframes rotate-two {
  0% {
    transform: rotateX(50deg) rotateY(10deg) rotateZ(0deg);
  }
  100% {
    transform: rotateX(50deg) rotateY(10deg) rotateZ(360deg);
  }
}

@keyframes rotate-three {
  0% {
    transform: rotateX(35deg) rotateY(55deg) rotateZ(0deg);
  }
  100% {
    transform: rotateX(35deg) rotateY(55deg) rotateZ(360deg);
  }
}
